Bug 1124812 - hibernate c3p0 regression in CR2
Summary: hibernate c3p0 regression in CR2
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss Enterprise Web Server 2
Classification: JBoss
Component: tomcat6
Version: 2.1.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: CR02
: TBD EWS
Assignee: David Walluck
QA Contact: Libor Fuka
URL:
Whiteboard:
Depends On:
Blocks: 1117235 1188249
TreeView+ depends on / blocked
 
Reported: 2014-07-30 11:47 UTC by Michal Haško
Modified: 2019-06-13 07:57 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
In JBoss Enterprise Web Server 3.0, a regression in the <filename>hibernate-dist.zip</filename> file results in the c3p0 connection pool not working as expected. This results in NPE errors in tomcat. This is a known issue in JBoss Enterprise Web Server 3.0 and there is currently no workaround for this problem.
Clone Of:
Environment:
Last Closed: 2019-06-13 07:57:40 UTC
Type: Bug


Attachments (Terms of Use)
localhost.2014-07-30.log (5.32 KB, text/x-log)
2014-07-30 11:47 UTC, Michal Haško
no flags Details
EmployeeManager.java (805 bytes, text/x-java)
2014-07-30 11:48 UTC, Michal Haško
no flags Details
HibernateUtil.java (1.01 KB, text/x-java)
2014-07-30 11:48 UTC, Michal Haško
no flags Details
localhost.2014-07-31.log (37.81 KB, text/x-log)
2014-07-31 11:09 UTC, Michal Haško
no flags Details

Description Michal Haško 2014-07-30 11:47:37 UTC
Created attachment 922506 [details]
localhost.2014-07-30.log

There is a regression in CR2 hibernate-dist.zip. The c3p0 connection pool is not working properly, causing NPEs in tomcat. (see attached log and EmployeeManager.java, HibernateUtil.java).

I believe this to be caused by the new build process described in bug#1117235, that took place in between ER4 and CR1. (CR1 was not really tested, as it was not accepted by QE). Therefore, CR2 is the first build with the update c3p0 jar that we tested.

Comment 1 Michal Haško 2014-07-30 11:48:32 UTC
Created attachment 922507 [details]
EmployeeManager.java

Comment 2 Michal Haško 2014-07-30 11:48:54 UTC
Created attachment 922508 [details]
HibernateUtil.java

Comment 10 David Walluck 2014-07-30 19:30:51 UTC
Regarding c3p0, I noticed that since we don't ship log4j with EAP, we never enabled log4j support. I have enabled it for this build. Also, we have been applying a patch (from Fedora) to add JDBC4 stubs and allow building against JDK 1.6, but this should not affect runtime.

Please try again with the latest build <http://download.eng.bos.redhat.com/brewroot/repos/jb-eap-6-rhel-6-build/latest/maven/c3p0/c3p0/0.9.1.2-redhat-2/c3p0-0.9.1.2-redhat-2.jar>.

Comment 13 Michal Haško 2014-07-31 11:09:37 UTC
Created attachment 922877 [details]
localhost.2014-07-31.log

(In reply to David Walluck from comment #10)
> Please try again with the latest build
> <http://download.eng.bos.redhat.com/brewroot/repos/jb-eap-6-rhel-6-build/
> latest/maven/c3p0/c3p0/0.9.1.2-redhat-2/c3p0-0.9.1.2-redhat-2.jar>.

The same results, unfortunately :-(
But sometimes, are are some more exceptions in localhost.<date>.log

Comment 23 Weinan Li 2014-08-05 13:04:39 UTC
After discussing with Libor and Michal, currently what we could do is to revert hibernate back to the ones used in ER4. But that doesn't mean we should close this bug, and we have to fix this bug post 2.1.0 GA. In addition, reverting hibernate to the one in er4 will make bz1117235 back to known issue.

brew untag-pkg dist-5E-ep-ews-2-candidate hibernate4-eap6-4.2.14-6.SP1_redhat_4.1.ep6.el5 hibernate4-eap6-4.2.14-5.SP1_redhat_3.1.ep6.el5 hibernate4-eap6-4.2.14-4.SP1_redhat_2.1.ep6.el5

brew untag-pkg jb-ews-2-rhel-6-candidate hibernate4-eap6-4.2.14-6.SP1_redhat_4.1.ep6.el6 hibernate4-eap6-4.2.14-5.SP1_redhat_3.1.ep6.el6 hibernate4-eap6-4.2.14-4.SP1_redhat_2.1.ep6.el6

brew untag-pkg jb-ews-2-rhel-7-candiate hibernate4-eap6-4.2.14-6.SP1_redhat_4.1.ep6.el7 hibernate4-eap6-4.2.14-5.SP1_redhat_3.1.ep6.el7 hibernate4-eap6-4.2.14-4.SP1_redhat_2.1.ep6.el7


Here are the hibernate in ER4:

hibernate4-eap6-4.2.14-3.SP1_redhat_1.1.ep6.el5
hibernate4-eap6-4.2.14-3.SP1_redhat_1.1.ep6.el6
hibernate4-eap6-4.2.14-3.SP1_redhat_1.1.ep6.el7

Comment 24 Weinan Li 2014-08-05 13:45:29 UTC
hibernate4 reverted for zip:

brew untag-pkg jb-eap-6-rhel-6-candidate hibernate4-4.2.14-3.SP1_redhat_2.1.ep6.el6 hibernate4-4.2.14-4.SP1_redhat_3.1.ep6.el6 hibernate4-4.2.14-5.SP1_redhat_4.1.ep6.el6

Reverted to this:

hibernate4-4.2.14-2.SP1_redhat_1.1.ep6.el6 jb-eap-6-rhel-6-candidate mead-scheduler

Michal, could you please help to pretest the zip is the correct version we should use:

http://download.devel.redhat.com/brewroot/packages/hibernate4/4.2.14/2.SP1_redhat_1.1.ep6.el6/noarch/hibernate4-zip-4.2.14-2.SP1_redhat_1.1.ep6.el6.noarch.rpm

This is the command to extract the zip: 

rpm2cpio hibernate4-zip-4.2.14-2.SP1_redhat_1.1.ep6.el6.noarch.rpm | cpio -idv

Please note this zip will be cleaned up during jboss-ews process, so merely testing c3p0 part would be fine.

Comment 25 Libor Fuka 2014-08-05 14:06:17 UTC
md5sums of two c3p0 jars are the same between ER4 hibernate and build from last comment

Comment 26 Libor Fuka 2014-08-05 15:00:40 UTC
tested on MS Windows and all EWS Hibernate test passed

Comment 27 Weinan Li 2014-08-07 04:34:24 UTC
Let's keep this bug open until it's fixed. Move target release to TBD

Comment 33 Libor Fuka 2015-04-23 06:57:49 UTC
This should be also fixed in JWS 3.0.0 CR3.1.
It needs final verification.

Comment 34 Libor Fuka 2015-06-11 06:15:51 UTC
VERIFIED with JWS 3.0.0 CR3.1


Note You need to log in before you can comment on or make changes to this bug.